summaryrefslogtreecommitdiffstats
path: root/source/x/m17n-lib
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/m17n-lib')
-rw-r--r--source/x/m17n-lib/internal-flt.h53
-rw-r--r--source/x/m17n-lib/m17n-docs_makefile.patch31
-rwxr-xr-xsource/x/m17n-lib/m17n-lib.SlackBuild182
-rw-r--r--source/x/m17n-lib/slack-desc19
4 files changed, 285 insertions, 0 deletions
diff --git a/source/x/m17n-lib/internal-flt.h b/source/x/m17n-lib/internal-flt.h
new file mode 100644
index 000000000..e47dbb1fa
--- /dev/null
+++ b/source/x/m17n-lib/internal-flt.h
@@ -0,0 +1,53 @@
+/* internal-flt.h -- common header file for the internal FLT API.
+ Copyright (C) 2007
+ National Institute of Advanced Industrial Science and Technology (AIST)
+ Registration Number H15PRO112
+
+ This file is part of the m17n library.
+
+ The m17n library is free software; you can redistribute it and/or
+ modify it under the terms of the GNU Lesser General Public License
+ as published by the Free Software Foundation; either version 2.1 of
+ the License, or (at your option) any later version.
+
+ The m17n library is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ Lesser General Public License for more details.
+
+ You should have received a copy of the GNU Lesser General Public
+ License along with the m17n library; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+ 02111-1307, USA. */
+
+#ifndef _M_INTERNAL_FLT_H
+#define _M_INTERNAL_FLT_H
+
+#define MAKE_COMBINING_CODE(base_y, base_x, add_y, add_x, off_y, off_x) \
+ (((off_y) << 16) \
+ | ((off_x) << 8) \
+ | ((base_x) << 6) \
+ | ((base_y) << 4) \
+ | ((add_x) << 2) \
+ | (add_y))
+
+#define COMBINING_CODE_OFF_Y(code) ((((code) >> 16) & 0xFF) - 128)
+#define COMBINING_CODE_OFF_X(code) ((((code) >> 8) & 0xFF) - 128)
+#define COMBINING_CODE_BASE_X(code) (((code) >> 6) & 0x3)
+#define COMBINING_CODE_BASE_Y(code) (((code) >> 4) & 0x3)
+#define COMBINING_CODE_ADD_X(code) (((code) >> 2) & 0x3)
+#define COMBINING_CODE_ADD_Y(code) ((code) & 0x3)
+
+#define MAKE_COMBINING_CODE_BY_CLASS(class) (0x1000000 | class)
+
+#define COMBINING_BY_CLASS_P(code) ((code) & 0x1000000)
+
+#define COMBINING_CODE_CLASS(code) ((code) & 0xFFFFFF)
+
+#define MAKE_PRECOMPUTED_COMBINDING_CODE() (0x2000000)
+
+#define COMBINING_PRECOMPUTED_P(code) ((code) & 0x2000000)
+
+extern MSymbol Mcombining;
+
+#endif /* _M_INTERNAL_FLT_H */
diff --git a/source/x/m17n-lib/m17n-docs_makefile.patch b/source/x/m17n-lib/m17n-docs_makefile.patch
new file mode 100644
index 000000000..11f88ef3f
--- /dev/null
+++ b/source/x/m17n-lib/m17n-docs_makefile.patch
@@ -0,0 +1,31 @@
+--- Makefile.in.orig 2007-12-28 02:15:49.000000000 +0100
++++ Makefile.in 2008-01-29 13:43:46.000000000 +0100
+@@ -676,20 +676,20 @@
+
+
+ install-pkgdataDATA: $(pkgdata_DATA)
+- $(mkinstalldirs) $(pkgdatadir)/html
+- $(mkinstalldirs) $(mandir)/man1 $(mandir)/man3 $(mandir)/man5
+- $(INSTALL_DATA) usr/latex/m17n-lib.dvi $(pkgdatadir)/m17n-lib.dvi
+- $(INSTALL_DATA) usr/latex/m17n-lib.ps $(pkgdatadir)/m17n-lib.ps
++ $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/html
++ $(mkinstalldirs) $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(mandir)/man3 $(DESTDIR)$(mandir)/man5
++ $(INSTALL_DATA) usr/latex/m17n-lib.dvi $(DESTDIR)$(pkgdatadir)/m17n-lib.dvi
++ $(INSTALL_DATA) usr/latex/m17n-lib.ps $(DESTDIR)$(pkgdatadir)/m17n-lib.ps
+ cd usr/html; \
+ for f in *.html *.png; do \
+- $(INSTALL_DATA) $$f $(pkgdatadir)/html/$$f; \
++ $(INSTALL_DATA) $$f $(DESTDIR)$(pkgdatadir)/html/$$f; \
+ done
+ cd man/man1; \
+- for f in *.1; do $(INSTALL_DATA) $$f $(mandir)/man1/$$f; done
++ for f in *.1; do $(INSTALL_DATA) $$f $(DESTDIR)$(mandir)/man1/$$f; done
+ cd man/man3; \
+- for f in *.3m17n; do $(INSTALL_DATA) $$f $(mandir)/man3/$$f; done
++ for f in *.3m17n; do $(INSTALL_DATA) $$f $(DESTDIR)$(mandir)/man3/$$f; done
+ cd man/man5; \
+- for f in *.5; do $(INSTALL_DATA) $$f $(mandir)/man5/$$f; done
++ for f in *.5; do $(INSTALL_DATA) $$f $(DESTDIR)$(mandir)/man5/$$f; done
+
+ @MAINTAINER_MODE_TRUE@usr-html html-usr: ${HTML_USR_TARGET}
+ @MAINTAINER_MODE_TRUE@ja-html html-ja: ${HTML_JA_TARGET}
diff --git a/source/x/m17n-lib/m17n-lib.SlackBuild b/source/x/m17n-lib/m17n-lib.SlackBuild
new file mode 100755
index 000000000..02a5d29dc
--- /dev/null
+++ b/source/x/m17n-lib/m17n-lib.SlackBuild
@@ -0,0 +1,182 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: m17n-lib
+# Descr: multilingualization of many aspects of applications
+# URL: http://m17n.org/
+#
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=m17n-lib
+SHORTNAM=m17n
+VERSION=${VERSION:-1.5.4}
+DBVERSION=${DBVERSION:-1.5.4}
+DOCVERSION=${DOCVERSION:-1.5.2}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+DOCS_DB="ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README"
+DOCS_DOC="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+SOURCE[0]="$CWD/${PRGNAM}-${VERSION}.tar.gz"
+SOURCE[1]="$CWD/${SHORTNAM}-db-${DBVERSION}.tar.gz"
+SOURCE[2]="$CWD/${SHORTNAM}-docs-${DOCVERSION}.tar.gz"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "armel" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP/build-${PRGNAM} $PKG
+
+cd $TMP/build-${PRGNAM}
+for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ tar -xvf ${SOURCE[$i]} || exit 1
+done
+chown -R root:root *
+chmod -R u+w,go+r-w,a-s *
+# Patch the docs makefile:
+( cd $SHORTNAM-docs-$DOCVERSION
+ cat $CWD/${SHORTNAM}-docs_makefile.patch | patch -p0 --verbose || exit 1
+)
+cd ${PRGNAM}-${VERSION}
+# Add the missing internal-flt.h file:
+[ ! -r src/internal-flt.h ] && cp $CWD/internal-flt.h src/
+
+echo Building ...
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --without-gui \
+ --disable-static \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+# If you get errors here, uninstall the present m17n-lib package first:
+make $NUMJOBS || make || exit 1
+make DESTDIR=$PKG install || exit 1
+cd ..
+
+# Compile and install the m17n database:
+echo "Building the m17n database..."
+cd ${SHORTNAM}-db-${DBVERSION}
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+make $NUMJOBS || make || exit 1
+make DESTDIR=$PKG install || exit 1
+cd ..
+
+# Compile and install the m17n user documentation:
+echo "Building the m17n user docs..."
+cd ${SHORTNAM}-docs-${DOCVERSION}
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+make $NUMJOBS || make || exit 1
+make DESTDIR=$PKG install || exit 1
+cd ..
+
+# Add package documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{db,docs}
+cd ${PRGNAM}-${VERSION}
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cd ../${SHORTNAM}-db-${DBVERSION}
+cp -a $DOCS_DB $PKG/usr/doc/$PRGNAM-$VERSION/db
+cd ../${SHORTNAM}-docs-${DOCVERSION}
+cp -a $DOCS_DOC $PKG/usr/doc/$PRGNAM-$VERSION/docs
+cd ..
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
+( cd $PKG/usr/man/man3
+ for file in * ; do
+ mv $file $(basename $file m17n)
+ done
+)
+find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+for i in $(find $PKG/usr/man -type l -name "*.?") ; do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i
+done
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh >> $PKG/install/doinst.sh
+fi
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/source/x/m17n-lib/slack-desc b/source/x/m17n-lib/slack-desc
new file mode 100644
index 000000000..78164bc0d
--- /dev/null
+++ b/source/x/m17n-lib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+m17n-lib: m17n-lib (application multilingualization library)
+m17n-lib:
+m17n-lib: M17n is an abbreviation of Multilingualization. The m17n library
+m17n-lib: implements multilingualization for many applications. The m17n
+m17n-lib: library supports functions to handle M-texts. This package also
+m17n-lib: contains the m17n database.
+m17n-lib:
+m17n-lib: m17n-lib home: http://m17n.org/
+m17n-lib:
+m17n-lib:
+m17n-lib: